View Issue Details

IDProjectCategoryView StatusLast Update
0004035Kali Linux[All Projects] New Tool Requestspublic2017-09-07 12:53
Reporterx90skysn3kAssigned Tosbrun 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version2017.2 
Summary0004035: Add BruteSpray v1.5.1 - Automatically attempts default creds on found services.
DescriptionBruteSpray takes nmap GNMAP/XML output and automatically brute-forces services with default credentials using Medusa. BruteSpray can even find non-standard ports by using the -sV inside Nmap.

github - https://github.com/x90skysn3k/brutespray

demo - https://youtu.be/C-CVLbSEe_g

Thought it might be a cool addition, we have had a lot of folks use it on their tests and with good success!

Activities

x90skysn3k

2017-05-24 16:10

reporter   ~0006741

updated to v1.5 - https://github.com/x90skysn3k/brutespray

added interactive mode for ease of use.

x90skysn3k

2017-06-16 13:05

reporter   ~0006835

added tags for building

x90skysn3k

2017-07-17 14:59

reporter   ~0006905

anything i can do to help move this along?

Thanks!

rhertzog

2017-07-17 15:37

administrator   ~0006907

It looks like someone wants to package this in Debian so it will come to Kali that way.

https://lists.alioth.debian.org/pipermail/pkg-security-team/Week-of-Mon-20170619/001559.html

Sophie, feel free to clean up the packaging on the Debian side to finish this.

g0tmi1k

2017-07-18 14:27

administrator   ~0006925

ACK.

Name: brutespray
Version: v1.5.1
Homepage: https://github.com/x90skysn3k/brutespray
Download: https://github.com/x90skysn3k/brutespray/archive/brutespray-1.5.1.tar.gz
License: MIT ~ https://github.com/x90skysn3k/brutespray/blob/master/LICENSE.md
Description: Brute-Forcing from Nmap output - Automatically attempts default creds on found services.

BruteSpray takes nmap GNMAP/XML output and automatically brute-forces services with default credentials using Medusa. BruteSpray can even find non-standard ports by using the -sV inside Nmap.


Please add to Kali.

sbrun

2017-08-31 13:36

manager   ~0007221

brutespray has just been accepted in Debian unstable. It will migrate in Debian Testing and Kali-rolling automatically.

sbrun

2017-09-07 08:27

manager   ~0007252

version 1.5.2-1 is now in kali-rolling

Issue History

Date Modified Username Field Change
2017-05-22 17:12 x90skysn3k New Issue
2017-05-24 16:10 x90skysn3k Note Added: 0006741
2017-06-16 13:05 x90skysn3k Note Added: 0006835
2017-06-22 14:15 g0tmi1k Assigned To => sbrun
2017-06-22 14:15 g0tmi1k Status new => assigned
2017-07-08 18:15 rhertzog Status assigned => feedback
2017-07-17 14:59 x90skysn3k Note Added: 0006905
2017-07-17 14:59 x90skysn3k Status feedback => assigned
2017-07-17 15:37 rhertzog Note Added: 0006907
2017-07-18 14:27 g0tmi1k Note Added: 0006925
2017-07-18 14:28 g0tmi1k Summary BruteSpray - Requesting to be added to Kali => Add BruteSpray v1.5.1 - utomatically attempts default creds on found services.
2017-07-18 14:28 g0tmi1k Summary Add BruteSpray v1.5.1 - utomatically attempts default creds on found services. => Add BruteSpray v1.5.1 - Automatically attempts default creds on found services.
2017-08-31 13:36 sbrun Note Added: 0007221
2017-09-07 08:27 sbrun Status assigned => resolved
2017-09-07 08:27 sbrun Resolution open => fixed
2017-09-07 08:27 sbrun Note Added: 0007252
2017-09-07 12:53 g0tmi1k Fixed in Version => 2017.2